Bug 81356 - split distro does not split over 5 CD
split distro does not split over 5 CD
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-08 09:43 EST by Nguyen Ngoc Can
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-10 10:59:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nguyen Ngoc Can 2003-01-08 09:43:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux 2.4.19-1.ll; X11; i686; fr, fr_FR@euro)

Description of problem:
"slitdistro" of anaconda-runtime-7.3.7 can not split over 5 CD when distribution is over 3Go of data, can you please fix it and make it creating over 5 CD, for example 8 CD. 

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.splitdistro --fileorder /home/redhat/pkgorder.txt --release "7.3-1" /home/redhat i386



Actual Results:  
Splitting tree...
Traceback (innermost last):
  File "/usr/lib/anaconda-runtime/splitdistro", line 156, in ?
    totalsize = spaceUsed(distDir)
  File "/usr/lib/anaconda-runtime/splitdistro", line 85, in spaceUsed
    return foo.total()
  File "/usr/lib/anaconda-runtime/splitdistro", line 79, in total
    total = total + size
OverflowError: integer addition 

Expected Results:  ok : CD1, CD2, CD3, CD4, CD5, CD6, CD7 and CD8 are created ...

Additional info:

it happens only when my distro is over 3Go of data.

nb : it help Agnula project more if it's fixed soon.
Comment 1 Jeremy Katz 2003-01-08 17:33:03 EST
splitdistro evolves according to the needs of the distribution and isn't going
to get much more intelligent unless I get a patch from someone doing so.  It
handles six discs sanely in rawhide.
Comment 2 Nguyen Ngoc Can 2003-01-09 03:59:43 EST
thank you very much, it's a very good thing to extend it 6 CD ... Just to know
why you decided stop at 6 CD and not 7 or 8 CD ??? just being curious ;-) to
know it ??

thank you
Comment 3 Nguyen Ngoc Can 2003-01-10 06:35:05 EST
I've done a latest test again :

1. my distro dis RH 7.3
2. i copy all 5 CD of distro 7.3 on my hard disk
3. my anaconda-runtime version is 7.3-7
4. when i execute :

/usr/lib/anaconda-runtime/splitdistro --fileorder /home/redhat2/pkgorder.txt
--release "7.3" /home/redhat2 i386

result :

Splitting tree...
Traceback (innermost last):
  File "/usr/lib/anaconda-runtime/splitdistro", line 156, in ?
    totalsize = spaceUsed(distDir)
  File "/usr/lib/anaconda-runtime/splitdistro", line 85, in spaceUsed
    return foo.total()
  File "/usr/lib/anaconda-runtime/splitdistro", line 79, in total
    total = total + size
OverflowError: integer addition

i modified in /usr/lib/anaconda-runtime/splitdsitro like :

 def total(self):
        total = 0L
        for size in self.inodes.values():
            total = total + size
        return total

juste changed "total = 0L" .... after executing splitdistro i have this message :

Splitting tree...
Creating disc1...
Creating disc2...
**** WARNING linking /home/redhat2/i386-disc1/beta_eula.txt to
/home/redhat2/i386-disc2/beta_eula.txt: No such file or directory
Creating disc3...
**** WARNING linking /home/redhat2/i386-disc1/beta_eula.txt to
/home/redhat2/i386-disc3/beta_eula.txt: No such file or directory
**** WARNING linking /home/redhat2/i386-disc1/RPM-GPG-KEY to
/home/redhat2/i386-disc3/RPM-GPG-KEY: File exists
**** WARNING linking /home/redhat2/i386-disc1/README to
/home/redhat2/i386-disc3/README: File exists
**** WARNING linking /home/redhat2/i386-disc1/autorun to
/home/redhat2/i386-disc3/autorun: File exists
Creating first source disc...
Creating second source disc...
Traceback (innermost last):
  File "/usr/lib/anaconda-runtime/splitdistro", line 221, in ?
    srcPkgList = os.listdir("%s/SRPMS" % disc1SrcDir)
OSError: [Errno 2] No such file or directory

result :

du -sh /home/redhat2/*

1.5G    i386-disc1
1.4G    i386-disc2
783M    i386-disc3
8.0k    i386-disc4
12k     i386-disc5

i ask to myself if splitdistro works fine when you made RH 7.3 distro ?? or in
RH 7.3 distro the version of anaconda-runtime is good ??

please help !!!
Comment 4 Jeremy Katz 2003-01-10 10:59:01 EST
Your tree isn't laid out the way that splitdistro is expecting.  This was
covered at least half a dozen times on anaconda-devel-list before 8.0 came out
and we changed the layout to match what people better expected.

Note You need to log in before you can comment on or make changes to this bug.